<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (1.8.0_151) on Thu Jan 18 13:47:16 GMT+01:00 2018 -->
<title>Pioche</title>
<meta name="date" content="2018-01-18">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Pioche";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Pioche.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../noyau/Pile.html" title="class in noyau"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../noyau/PiocheEtPileVideExeption.html" title="class in noyau"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?noyau/Pioche.html" target="_top">Frames</a></li>
<li><a href="Pioche.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">noyau</div>
<h2 title="Class Pioche" class="title">Class Pioche</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>noyau.Pioche</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">Pioche</span>
extends java.lang.Object</pre>
<div class="block">Classe définissant l'objet de type pioche, soit l'ensemble des cartes piochables sous forme d'une linkedlist</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../noyau/Pioche.html#Pioche-java.util.LinkedList-console.Affichable-">Pioche</a></span>(java.util.LinkedList&lt;<a href="../noyau/Carte.html" title="class in noyau">Carte</a>&gt;&nbsp;tab,
      <a href="../console/Affichable.html" title="interface in console">Affichable</a>&nbsp;a)</code>
<div class="block">Constructeur de la pioche</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../noyau/Pioche.html#donnerCarte-noyau.Joueur-int-">donnerCarte</a></span>(<a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;personne,
           int&nbsp;nombreDeCarteADonner)</code>
<div class="block">Permet de donner un nombre de carte à un autre joueur
 *</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../noyau/Pioche.html#getNbCartesPioche--">getNbCartesPioche</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../noyau/Carte.html" title="class in noyau">Carte</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../noyau/Pioche.html#getPremiereCarte--">getPremiereCarte</a></span>()</code>
<div class="block">Permet d'obtenir la première carte de la pioche</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>java.util.LinkedList&lt;<a href="../noyau/Carte.html" title="class in noyau">Carte</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../noyau/Pioche.html#getTabPioche--">getTabPioche</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../noyau/Pioche.html#piocher-int-noyau.Joueur-noyau.Pile-">piocher</a></span>(int&nbsp;nbCartesAPiocher,
       <a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;preneur,
       <a href="../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;p)</code>
<div class="block">Permet de piocher</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../noyau/Pioche.html#setNbCartesPioche-int-">setNbCartesPioche</a></span>(int&nbsp;nbCartesPioche)</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../noyau/Pioche.html#setTabPioche-java.util.LinkedList-">setTabPioche</a></span>(java.util.LinkedList&lt;<a href="../noyau/Carte.html" title="class in noyau">Carte</a>&gt;&nbsp;tabPioche)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Pioche-java.util.LinkedList-console.Affichable-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Pioche</h4>
<pre>public&nbsp;Pioche(java.util.LinkedList&lt;<a href="../noyau/Carte.html" title="class in noyau">Carte</a>&gt;&nbsp;tab,
              <a href="../console/Affichable.html" title="interface in console">Affichable</a>&nbsp;a)</pre>
<div class="block">Constructeur de la pioche</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>une</code> - linkedlist de carte disponibles après la création des mains</dd>
<dd><code>une</code> - objet affichable pour l'affichage</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../noyau/JeuDeCarte.html" title="class in noyau"><code>JeuDeCarte</code></a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getPremiereCarte--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPremiereCarte</h4>
<pre>public&nbsp;<a href="../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;getPremiereCarte()</pre>
<div class="block">Permet d'obtenir la première carte de la pioche</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>la première carte</dd>
</dl>
</li>
</ul>
<a name="getNbCartesPioche--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNbCartesPioche</h4>
<pre>public&nbsp;int&nbsp;getNbCartesPioche()</pre>
</li>
</ul>
<a name="setNbCartesPioche-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setNbCartesPioche</h4>
<pre>public&nbsp;void&nbsp;setNbCartesPioche(int&nbsp;nbCartesPioche)</pre>
</li>
</ul>
<a name="piocher-int-noyau.Joueur-noyau.Pile-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>piocher</h4>
<pre>public&nbsp;void&nbsp;piocher(int&nbsp;nbCartesAPiocher,
                    <a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;preneur,
                    <a href="../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;p)</pre>
<div class="block">Permet de piocher</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>nbCartesAPiocher</code> - </dd>
<dd><code>preneur</code> - </dd>
<dd><code>la</code> - pile pour récréer la pioche si celle ci est vide</dd>
</dl>
</li>
</ul>
<a name="donnerCarte-noyau.Joueur-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>donnerCarte</h4>
<pre>public&nbsp;void&nbsp;donnerCarte(<a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;personne,
                        int&nbsp;nombreDeCarteADonner)</pre>
<div class="block">Permet de donner un nombre de carte à un autre joueur
 *</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>le</code> - joueur à qui on donne les cartes</dd>
<dd><code>nombreDeCarteADonner</code> - </dd>
</dl>
</li>
</ul>
<a name="getTabPioche--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTabPioche</h4>
<pre>public&nbsp;java.util.LinkedList&lt;<a href="../noyau/Carte.html" title="class in noyau">Carte</a>&gt;&nbsp;getTabPioche()</pre>
</li>
</ul>
<a name="setTabPioche-java.util.LinkedList-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setTabPioche</h4>
<pre>public&nbsp;void&nbsp;setTabPioche(java.util.LinkedList&lt;<a href="../noyau/Carte.html" title="class in noyau">Carte</a>&gt;&nbsp;tabPioche)</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Pioche.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../noyau/Pile.html" title="class in noyau"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../noyau/PiocheEtPileVideExeption.html" title="class in noyau"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?noyau/Pioche.html" target="_top">Frames</a></li>
<li><a href="Pioche.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
